Android Studio Force Dependency Libraries to One Version

July 26, 2018
gradle resolutionStrategy

Edit build.gradle (Project)

buildscript {
    ext {
        android_support_library_version = '27.1.1'
    }
    ...
}    

subprojects {
    project.configurations.all {
        // force all com.android.support
        resolutionStrategy.eachDependency { details ->
            if (details.requested.group == 'com.android.support'
                    && details.requested.name != 'multidex'
                    && details.requested.name != 'multidex-instrumentation') {
                details.useVersion android_support_library_version
            }
        }

        // force particular library
        resolutionStrategy {
            force 'androidx.core:core-ktx:0.3'
        }
    }
}
This work is licensed under a
Creative Commons Attribution-NonCommercial 4.0 International License.